"use strict";
const common_vendor = require("../../../common/vendor.js");
const gen_Enums = require("../../../gen/Enums.js");
const INDEX_task_update_method = require("./method.js");
const INDEX_task_update_model = require("./model.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../gen/Apis.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/apiLoading.js");
require("../../../common/libraries/naviHelper.js");
if (!Array) {
  const _easycom_hs_radio2 = common_vendor.resolveComponent("hs-radio");
  const _easycom_hs_cell2 = common_vendor.resolveComponent("hs-cell");
  const _easycom_hs_popup_employees2 = common_vendor.resolveComponent("hs-popup-employees");
  const _easycom_hs_day_picker2 = common_vendor.resolveComponent("hs-day-picker");
  const _easycom_hs_cell_textarea2 = common_vendor.resolveComponent("hs-cell-textarea");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_hs_radio2 + _easycom_hs_cell2 + _easycom_hs_popup_employees2 + _easycom_hs_day_picker2 + _easycom_hs_cell_textarea2 + _easycom_hs_footer2)();
}
const _easycom_hs_radio = () => "../../../components/hs-radio/hs-radio.js";
const _easycom_hs_cell = () => "../../../components/hs-cell/hs-cell.js";
const _easycom_hs_popup_employees = () => "../../../components/hs-popup-employees/hs-popup-employees.js";
const _easycom_hs_day_picker = () => "../../../components/hs-day-picker/hs-day-picker.js";
const _easycom_hs_cell_textarea = () => "../../../components/hs-cell-textarea/hs-cell-textarea.js";
const _easycom_hs_footer = () => "../../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_hs_radio + _easycom_hs_cell + _easycom_hs_popup_employees + _easycom_hs_day_picker + _easycom_hs_cell_textarea + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      var _a;
      (_a = INDEX_task_update_method.method) == null ? void 0 : _a.init(e);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k;
      return common_vendor.e({
        a: common_vendor.o(($event) => common_vendor.unref(INDEX_task_update_model.useModel).formData.value.level = $event),
        b: common_vendor.p({
          Enums: common_vendor.unref(gen_Enums.HouseWorkOrdersLevelEnum),
          valueModel: common_vendor.unref(INDEX_task_update_model.useModel).formData.value.level
        }),
        c: common_vendor.p({
          title: "优先级",
          required: true
        }),
        d: ((_c = (_b = (_a = common_vendor.unref(INDEX_task_update_model.useModel)) == null ? void 0 : _a.formData) == null ? void 0 : _b.value) == null ? void 0 : _c.pageType) === "领取工单"
      }, ((_f = (_e = (_d = common_vendor.unref(INDEX_task_update_model.useModel)) == null ? void 0 : _d.formData) == null ? void 0 : _e.value) == null ? void 0 : _f.pageType) === "领取工单" ? {
        e: common_vendor.t((_j = (_i = (_h = (_g = common_vendor.unref(INDEX_task_update_model.useModel)) == null ? void 0 : _g.formData) == null ? void 0 : _h.value) == null ? void 0 : _i.assign_employees) == null ? void 0 : _j.name),
        f: common_vendor.p({
          title: "处理人",
          required: true,
          borderTop: true
        })
      } : {
        g: common_vendor.o(($event) => common_vendor.unref(INDEX_task_update_model.useModel).formData.value.assign_employees_id = $event),
        h: common_vendor.p({
          title: "处理人",
          valueModel: common_vendor.unref(INDEX_task_update_model.useModel).formData.value.assign_employees_id
        })
      }, {
        i: common_vendor.o(($event) => common_vendor.unref(INDEX_task_update_model.useModel).formData.value.predict_complete_at = $event),
        j: common_vendor.p({
          valueModel: common_vendor.unref(INDEX_task_update_model.useModel).formData.value.predict_complete_at
        }),
        k: common_vendor.p({
          title: "预计完成时间",
          required: true,
          borderTop: true,
          isLink: true
        }),
        l: common_vendor.o(($event) => common_vendor.unref(INDEX_task_update_model.useModel).formData.value.assign_remark = $event),
        m: common_vendor.p({
          title: "备注说明",
          placeholder: "请输入备注",
          valueModel: common_vendor.unref(INDEX_task_update_model.useModel).formData.value.assign_remark
        }),
        n: common_vendor.o((_k = common_vendor.unref(INDEX_task_update_method.method)) == null ? void 0 : _k.handleSubmit),
        o: common_vendor.p({
          btnParimaryName: "提交"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/INDEX/task/update/index.vue"]]);
wx.createPage(MiniProgramPage);
